[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_dynar' (#crwlib)

# TAbstractArray

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_dynar.pas line 112

`type TAbstractArray = class(TLatch)`
`protected`
`function CheckOk; override;`
`procedure ErrorFound(); override;`
`public`
`constructor Create();`
`destructor Destroy; override;`
`property ItemSize: LongInt; [r]`
`property Origin: LongInt; [rw]`
`end;`

## Inheritance

`TAbstractArray`
`TLatch`
`TMasterObject`
`TObject`